/*
 Calisto (c) 1998-1999 Peter Howkins, Matthew Howkins, Simon Howkins

 $Id: log.h,v 1.2 1999/12/29 20:20:40 peter Exp $

 $Log: log.h,v $
 Revision 1.2  1999/12/29 20:20:40  peter
 Moved LOGDATE into this header file

 Revision 1.1  1999/12/21 20:34:47  peter
 Initial revision


 */
#ifndef log_h
#define log_h

#define MAX_FILE_NAME_LENGTH   128
#define MAX_DATE_FORMAT_LENGTH 50

#define LOGDATE "%d/%m/%Y %H:%M:%S"

typedef struct {
  char filename[MAX_FILE_NAME_LENGTH];
  char dateformat[MAX_DATE_FORMAT_LENGTH];
} LOGF;

LOGF *log_init(const char *filename, const char *dateformat);
void log(LOGF *log, const char *format, ...);

extern LOGF *usage, *debug, *bug, *idea, *typo;

#endif
